明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
12
返回列表 发新帖
楼主: l_shiqiang

请教高手怎样选择框内数字,并将他们相加,计算和是多少?

  [复制链接]
发表于 2006-3-9 13:22:00 | 显示全部楼层
isnumber是VB自带的函数啊!有问题?
发表于 2006-3-9 13:51:00 | 显示全部楼层
Sub tt()
On Error Resume Next
Dim ss As AcadSelectionSet
Dim ft(0) As Integer, fd(0)
ThisDrawing.SelectionSets("Test").Delete
Set ss = ThisDrawing.SelectionSets.Add("Test")
ft(0) = 0: fd(0) = "*Text"
    ss.SelectOnScreen ft, fd
    textvalue = 0
    For Each i In ss
        If IsNumeric(i.TextString) Then
           textvalue = textvalue + Val(i.TextString)
        End If
    Next
    MsgBox "The result is:" & textvalue
End Sub
发表于 2006-3-9 14:56:00 | 显示全部楼层

呵呵!是IsNumeric不是IsNumber,记错了......

发表于 2006-3-22 22:01:00 | 显示全部楼层

这样可以只选择数据字符,就不用IsNumeric判断了

Sub tt()
On Error Resume Next
Dim ss As AcadSelectionSet
Dim ft(2) As Integer, fd(2)
ThisDrawing.SelectionSets("Test").Delete
Set ss = ThisDrawing.SelectionSets.Add("Test")
ft(0) = 0: fd(0) = "*Text"
ft(1) = 1: fd(1) = "~*[~.0-9]*"
ft(2) = 1: fd(2) = "~*.*.*"
    ss.SelectOnScreen ft, fd
    textvalue = 0
    For Each i In ss
           textvalue = textvalue + Val(i.TextString)
    Next
    MsgBox "The result is:" & textvalue
End Sub


 

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 06:31 , Processed in 0.161622 second(s), 17 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表